Bug 15952 - CSSOM section should define REGIONS_RULE on CSSRule
CSSOM section should define REGIONS_RULE on CSSRule
Status: RESOLVED FIXED
Product: CSS
Classification: Unclassified
Component: Regions
unspecified
PC All
: P2 normal
: ---
Assigned To: Vincent Hardy
public-css-bugzilla
cssom
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 18:25 UTC by Edward O'Connor
Modified: 2012-04-24 16:58 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edward O'Connor 2012-02-10 18:25:55 UTC
See http://dev.w3.org/csswg/css3-animations/#dom-interfaces- for an example of this.

Be sure to update http://wiki.csswg.org/spec/cssom-constants with the value chosen.
Comment 1 Vincent Hardy 2012-03-13 22:55:58 UTC
We are still working on this, but we may be changing the syntax away from @region and use a pseudo-element syntax instead.

Work in progress at:
http://wiki.csswg.org/spec/css3-regions/regions-styling
Comment 2 Alan Stearns 2012-04-24 05:31:50 UTC
Added with https://dvcs.w3.org/hg/csswg/rev/2e04f2d16ef5
Comment 3 Edward O'Connor 2012-04-24 16:41:34 UTC
We've been coordinating CSSRule constants on this wiki page:

http://wiki.csswg.org/spec/cssom-constants

Regions is no longer one of the "proposals that have yet to be accepted by the working group," so I would have expected you to take a more conventional value, like 16.
Comment 4 Alan Stearns 2012-04-24 16:56:18 UTC
Changed in http://dvcs.w3.org/hg/csswg/rev/c76a4ff42fc3
Comment 5 Edward O'Connor 2012-04-24 16:58:00 UTC
Awesome, thanks.